import * as React from "react";
import "./AlertBox.less";
declare type AlertBoxType = "processing" | "warning" | "success" | "error" | "info";
export interface Props {
    children: React.ReactNode;
    className?: string;
    title?: string;
    type?: AlertBoxType;
    isClosable?: boolean;
    onClose?: () => void;
    headingLevel?: 1 | 2 | 3 | 4 | 5 | 6;
}
export default class AlertBox extends React.PureComponent<Props> {
    state: {
        isOpen: boolean;
    };
    closeBox(): void;
    render(): JSX.Element;
}
export {};
